import { LiteralType } from '../types';
/**
 * Creates the literal value type definition.
 *
 * @param value The literal value to which the value must be equal.
 * @param options
 *
 * @template T The type of the literal value.
 */
export function literal(value, options) {
    return new LiteralType(value, options);
}
