import { OneOfType } from '../types';
export function oneOf(values, options) {
    if (Array.isArray(values)) {
        return new OneOfType(values, options);
    }
    var enumValues = [];
    for (var _i = 0, _a = Object.values(values); _i < _a.length; _i++) {
        var value = _a[_i];
        if (typeof values[value] !== 'number') {
            enumValues.push(value);
        }
    }
    return new OneOfType(enumValues, options);
}
