import { AnyType, NullableType } from '../types';
/**
 * Creates the nullable type definition.
 *
 * @param type The underlying type definition.
 */
export declare function nullable<X extends AnyType>(type: X): NullableType<X>;
