import { Type } from './Type';
import { ConstraintOptions, ParserOptions } from '../shared-types';
/**
 * The bigint type definition.
 */
export declare class BigIntType extends Type<bigint> {
    constructor(options?: ConstraintOptions);
    parse(input: unknown, options?: ParserOptions): bigint;
}
