import { __extends } from "tslib";
import { Type } from './Type';
import { raiseIssue } from '../utils';
/**
 * The bigint type definition.
 */
var BigIntType = /** @class */ (function (_super) {
    __extends(BigIntType, _super);
    function BigIntType(options) {
        return _super.call(this, false, options) || this;
    }
    BigIntType.prototype.parse = function (input, options) {
        if (typeof input !== 'bigint') {
            raiseIssue(input, 'type', 'bigint', this.options, 'Must be a bigint');
        }
        return input;
    };
    return BigIntType;
}(Type));
export { BigIntType };
