import { Type } from './Type';
import { ConstraintOptions, ParserOptions } from '../shared-types';
/**
 * The boolean type definition.
 */
export declare class BooleanType extends Type<boolean> {
    constructor(options?: ConstraintOptions);
    parse(input: unknown, options?: ParserOptions): boolean;
}
