import { __extends } from "tslib";
import { Type } from './Type';
import { raiseIssue } from '../utils';
/**
 * The type definition that always raises an issue.
 */
var NeverType = /** @class */ (function (_super) {
    __extends(NeverType, _super);
    function NeverType(options) {
        return _super.call(this, false, options) || this;
    }
    NeverType.prototype.parse = function (input, options) {
        raiseIssue(input, 'never', undefined, this.options, 'Must not be used');
    };
    return NeverType;
}(Type));
export { NeverType };
