import { Type } from './Type';
import { ParserOptions } from '../shared-types';
/**
 * The unconstrained type definition.
 *
 * @template The type of the unconstrained value.
 */
export declare class UnconstrainedType<T = any> extends Type<T> {
    constructor();
    parse(input: any, options?: ParserOptions): T;
}
